For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for version v2024-05-25 (default).
For other versions, use one of these documentation indexes:
- v2024-05-25 (default): https://docs.monite.com/v-2024-05-25/llms.txt
- v2024-01-31: https://docs.monite.com/v2024-01-31/llms.txt
- v2023-09-01: https://docs.monite.com/v2023-09-01/llms.txt
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.
Query parameters
orderenumOptional
Sort order (ascending by default). Typically used together with the sort parameter.
Allowed values:
limitintegerOptional1-100Defaults to 100
The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.
pagination_tokenstringOptional
A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.
If not specified, the first page of results will be returned.
sortenumOptional
The field to sort the results by. Typically used together with the order parameter.
Allowed values:
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
updated_at__gtdatetimeOptional
updated_at__ltdatetimeOptional
updated_at__gtedatetimeOptional
updated_at__ltedatetimeOptional
issued_at__gtdatetimeOptional
issued_at__ltdatetimeOptional
issued_at__gtedatetimeOptional
issued_at__ltedatetimeOptional
statusenumOptional
Allowed values:
document_idstringOptional
document_id__instringOptional
created_bystringOptionalformat: "uuid"
counterpart_idstringOptionalformat: "uuid"
counterpart_id__instringOptionalformat: "uuid"
counterpart.namestringOptional
currencyenumOptional
currency__inenumOptional
project_idstringOptionalformat: "uuid"
Response
Successful Response
datalist of objects
next_pagination_tokenstringOptional
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).
prev_pagination_tokenstringOptional
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).
Errors
400
Get Payable Purchase Orders Request Bad Request Error
401
Get Payable Purchase Orders Request Unauthorized Error
404
Get Payable Purchase Orders Request Not Found Error
422
Get Payable Purchase Orders Request Unprocessable Entity Error
429
Get Payable Purchase Orders Request Too Many Requests Error